Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product
Please upgrade to 2.3 here. The 2.2 and earlier branches are no longer being updated.

upgrade from 2.1.1 to higher version

This discussion is related to the Vanilla addon.

Hi guys,

trying to upgrade from 2.1.1 to higher version (e.g 2.2 which is closest to 2.1 and thus I believe would work easily).

Applied all upgrade instructions and reviewed troubleshooint notes:

but anyway after I put

it goes to

with the message:

Version 2.2 Installer

where DB fields are filled in (for some reason localhost though instead of RDS DB host which we use)

and it asks for admin details (which seems strange b/c its upgrade not fresh install)

What could be wrong with it?


  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    Maybe you have taken a step from the upgrade process wrong:

    "Backup your database, .htaccess and conf/config.php file somewhere safe."

    Do you have moved your config.php file from the /conf folder? That would have been wrong. Inside of your config.php there should be two lines looking similar to this:

    // EnabledApplications
    $Configuration['EnabledApplications']['Conversations'] = 'conversations';
    $Configuration['EnabledApplications']['Vanilla'] = 'vanilla';

    As far as I know you get a fresh setup screen if those are missing.

  • ok I did not move out config file, and dbname/dbuser is taken properly from there, just not the other fields.

    Also tried added those 2 fields into configuration - but not difference.

  • also does it work normal when


    redirects to


  • K17K17 Unlosk · Français / French ✭✭✭
    edited January 17

    Do you have the following lines in your config.php ?

    $Configuration['Garden']['Installed'] = true;
    $Configuration['Garden']['InstallationID'] = 'something here to keep secret';
    $Configuration['Garden']['InstallationSecret'] = 'something else secret here';

    And did you try refreshing the cache ? (by removing all files under the cache folder except /smarty/ folder)

    And for update/upgrade you must get something simillar to this screen:

    (It's in french here)

  • nope there is only this one:

    $Configuration['Garden']['Installed'] = FALSE;

  • CaylusCaylus ✭✭

    If you fill in the proper login details in the setup screen, does it do anything?

    I highly recommend making a backup of your database before you test it.

  • well based on that screen its going to setup fresh installation and not upgrade current one, therefore Im not sure its good idea to do that

  • CaylusCaylus ✭✭

    Do you have a current backup of your databases and other files?

    If yes, I recommend trying it out, and reverting to your backups if it doesn't work.
    It shouldn't delete any of your posts, if that's what you're worried about.

    If you don't have a backup, I recommend making a back up of everything before you do anything else.

Sign In or Register to comment.